Loading...
Searching...
No Matches
dolfin::LocalMeshCoarsening Class Reference

This class implements local mesh coarsening for different mesh types. More...

`#include <LocalMeshCoarsening.h>`

## Static Public Member Functions

static void | coarsen_mesh_by_edge_collapse (Mesh &mesh, MeshFunction< bool > &cell_marker, bool coarsen_boundary=false)
| Coarsen simplicial mesh locally by edge collapse.

## Detailed Description

This class implements local mesh coarsening for different mesh types.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/LocalMeshCoarsening.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/LocalMeshCoarsening.cpp